Package com.google.android.exoplayer2.text.span

## Class RubySpan

- java.lang.Object
- - com.google.android.exoplayer2.text.span.RubySpan

- All Implemented Interfaces:
    `LanguageFeatureSpan`

      public final class RubySpan
      extends Object
      implements LanguageFeatureSpan

  A styling span for ruby text.

  The text covered by this span is known as the "base text", and the ruby text is stored in `rubyText`.

  More information on ruby characters and span styling.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `position` | The position of the ruby text relative to the base text.
    `String` | `rubyText` | The ruby text, i.e.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RubySpan​(String rubyText, int position)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rubyText

          public final String rubyText

      The ruby text, i.e. the smaller explanatory characters.

    - #### position

          @Position
          public final int position

      The position of the ruby text relative to the base text.

  - ### Constructor Detail

    - #### RubySpan

          public RubySpan​(String rubyText,
                          @Position
                          int position)